-- 微信用户和销售关系表添加项目ID
alter table fs_user_company_user
    add column project_id bigint comment '课程项目ID';

alter table fs_user_company_user add constraint uk_user_project
    unique (user_id, project_id);

alter table fs_user_company_user
    add column qw_user_id bigint comment '企微用户ID',
    add column qw_external_contact_id bigint comment '企微外部联系人ID',
    add column qw_company_id bigint comment '企微主体ID';

alter table fs_user_course_video
    add column project_id bigint comment '项目ID';

alter table fs_user_company_user
    add column status tinyint default 1 comment '状态 0小黑屋 1正常 2拉黑';

alter table fs_user_company_user
    add column remark varchar(255) comment '备注';

drop table if exists fs_user_project_tag;
create table fs_user_project_tag (
    `id`                             bigint        not null auto_increment comment '主键ID',
    `user_company_user_id`           bigint                                comment '用户项目ID',
    `tag_id`                         bigint                                comment '标签ID',
    `create_time`                    datetime                              comment '创建时间',
    primary key (`id`) using btree,
    index idx_user_company_user_id(`user_company_user_id`) using btree,
    index idx_tag_id(`tag_id`) using btree
) engine = InnoDB comment = '用户项目标签表';

alter table fs_user_company_user
    add column create_time datetime comment '创建时间';

ALTER TABLE fs_user_company_user MODIFY COLUMN create_time datetime DEFAULT now() NULL COMMENT '创建时间';
